## `value::get_object`

Return the underlying `object`, without checking.

### Synopsis

    object&
    get_object() & noexcept; (1)

    object&&
    get_object() && noexcept; (2)

    object const&
    get_object() const& noexcept; (3)

### Description

This is the fastest way to access the underlying representation when the kind is known in advance.

### Preconditions

    this->is_object()

### Complexity

Constant.

### Exception Safety

No-throw guarantee.

Edit this page